- Main Page
- Related Pages
- Modules
- Files

- File List

Typedefs
type.hpp File Reference

Go to the source code of this file.

## Typedefs
typedef detail::tvec2< bool > | bvec2
typedef detail::tvec3< bool > | bvec3
typedef detail::tvec4< bool > | bvec4
typedef detail::tmat2x2< double > | dmat2
typedef detail::tmat2x2< double > | dmat2x2
typedef detail::tmat2x3< double > | dmat2x3
typedef detail::tmat2x4< double > | dmat2x4
typedef detail::tmat3x3< double > | dmat3
typedef detail::tmat3x2< double > | dmat3x2
typedef detail::tmat3x3< double > | dmat3x3
typedef detail::tmat3x4< double > | dmat3x4
typedef detail::tmat4x4< double > | dmat4
typedef detail::tmat4x2< double > | dmat4x2
typedef detail::tmat4x3< double > | dmat4x3
typedef detail::tmat4x4< double > | dmat4x4
typedef detail::tvec2< double > | dvec2
typedef detail::tvec3< double > | dvec3
typedef detail::tvec4< double > | dvec4
typedef mediump_ivec2 | ivec2
typedef mediump_ivec3 | ivec3
typedef mediump_ivec4 | ivec4
typedef mat2x2 | mat2
typedef mediump_mat2x2 | mat2x2
typedef mediump_mat2x3 | mat2x3
typedef mediump_mat2x4 | mat2x4
typedef mat3x3 | mat3
typedef mediump_mat3x2 | mat3x2
typedef mediump_mat3x3 | mat3x3
typedef mediump_mat3x4 | mat3x4
typedef mat4x4 | mat4
typedef mediump_mat4x2 | mat4x2
typedef mediump_mat4x3 | mat4x3
typedef mediump_mat4x4 | mat4x4
typedef mediump_uvec2 | uvec2
typedef mediump_uvec3 | uvec3
typedef mediump_uvec4 | uvec4
typedef mediump_vec2 | vec2
typedef mediump_vec3 | vec3
typedef mediump_vec4 | vec4

## Detailed Description

OpenGL Mathematics (glm.g-truc.net)

Copyright (c) 2005 - 2012 G-Truc Creation (www.g-truc.net) Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

GLM Core

Date
  2008-01-08 / 2011-06-15

Author
  Christophe Riccio

Definition in file type.hpp.